Status: Closed Start date: 2011-06-04

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed   

Description

I'm trying to write an automated test in Redmine Java API for case when getUsers() throws AuthorizationException for non-admin.

to do that, I first create a new user through REST API (using admin account), and then I want to send "getUsers()" request with the

new user's API access key.

the problem is that I don't see a way to retrieve the API key of the user I just created.

I understand this is probably due to security reasons.

what's the right way to solve this problem?

it would be great if REST API supported the concept of "login" so that REST users would be able to "login" through REST API using

their login&password (instead of API access key!) and then they'd receive some "session key" they could use temporarily for this

session.

this would eliminate the problem I described above, and plus simplify the REST API usage in various UIs (people are often confused

about "api access key", they want to use their login&password).

Associated revisions

Revision 11518 - 2013-03-01 17:32 - Jean-Philippe Lang

Add user's API key to /users/current.format (#8529).

Revision 11570 - 2013-03-09 11:19 - Jean-Philippe Lang

Merged r11518 from trunk (#8529).

History

#1 - 2011-06-04 23:50 - Alex Last

never mind, feel free to close this request. I see basic HTTP auth is supported, so no API key is required. I can specify user's password when creating

the user, so this solves my problem.

#2 - 2013-03-01 14:09 - Frank Schwarz

It would be great for (mobile) apps to retrieve the API key:

1. the mobile app asks for username and password

2. the mobile app logs in using basic authentication (with an https url)

3. the app retrieves the api key of the currently logged in user

4. the app stores the api key permanently for authenticating the user the next time

#3 - 2013-03-01 17:33 - Jean-Philippe Lang

- Subject changed from get the api key of the user through REST API to Get the API key of the user through REST API

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Good point. API key added in r11518 to /users/current.format.

#4 - 2013-03-09 11:21 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/11518


- Status changed from Resolved to Closed

Merged.

Powered by TCPDF (www.tcpdf.org)

2024-03-13 2/2

http://www.tcpdf.org

